Packages - Freedom Issue #3110

[python-pytorch] requires intel-mkl (unfree)
2021-10-13 08:52 PM - nona

Status: fixed % Done: 0%
Priority: freedom issue

Assignee: bill-auger

Category:

Description

python-pytorch comes from Arch and it depends on intel-mkl. There may be a way to build without it, but needs work

Related issues:

Related to Packages - Packaging Request #3461: Aesara open
Related to Packages - Freedom Issue #1375: [cuda][cudnn] Clearly non-free fixed
Related to Packages - Freedom Issue #2707: [intel-mkl] has nonfree Intel Simp... fixed
History

#1 - 2022-05-31 06:03 PM - nona
should we merge this with #3018?

#2 - 2023-03-31 11:24 PM - bill-auger

no, those are uninstallable for technical reasons (missing but libre dependencies) - this one appears to be for a freedom reason

#3 - 2023-03-31 11:25 PM - bill-auger
- Related to Packaging Request #3461: Aesara added

#4 - 2023-04-02 03:00 AM - bill-auger
- Related to Freedom Issue #1375: [cuda][cudnn] Clearly non-free added

#5 - 2023-04-02 03:49 AM - bill-auger

- Related to Freedom Issue #2707: [intel-mkl] has nonfree Intel Simplified Software License added

#6 - 2023-04-02 04:48 AM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

it also make depends on 'cuda’; so its on the blacklist for both reasons now

#7 - 2023-04-02 04:48 AM - bill-auger

- Status changed from in progress to fixed
